package com.activiti6.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 流程历史单对象 db_table_his
 *
 * @author xtd
 * @date 2020-04-14
 */
public class DbTableHis extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 流程id */
    private String instanceId;

    /** 表单名称 */
    private Long tableId;

    /** 表单名称 */
    private String tableName;

    public void setInstanceId(String instanceId)
    {
        this.instanceId = instanceId;
    }

    public String getInstanceId()
    {
        return instanceId;
    }
    public void setTableId(Long tableId)
    {
        this.tableId = tableId;
    }

    public Long getTableId()
    {
        return tableId;
    }
    public void setTableName(String tableName)
    {
        this.tableName = tableName;
    }

    public String getTableName()
    {
        return tableName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("instanceId", getInstanceId())
            .append("tableId", getTableId())
            .append("tableName", getTableName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
